# Retrieve subscription data

Solidgate API for <a href="https://docs.solidgate.com/billing/subscriptions/subscriptions-1.0/manage-subscription/retrieve-subscription-data/" target="_blank">accessing subscription information</a> provides merchants with the ability to obtain precise and up-to-date details regarding customer subscriptions.

To get in-depth insights into customer subscriptions, use <a href="https://api-docs.solidgate.com/api/reports/retrieve-subscriptions" target="_blank">subscription report</a> that is specifically designed to retrieve and combine all subscription-related data.

## Get subscription status

 - [POST /subscription/status](https://api-docs.solidgate.com/api/retrieve-subscription-data/get-subscription-status.md): By using this method, merchants can retrieve subscription data by subscription identifier and obtain its details, such as the start date, status, and the information about the most recent invoice related to the subscription.

## Retrieve subscriptions by customer

 - [POST /subscription/list](https://api-docs.solidgate.com/api/retrieve-subscription-data/retrieve-subscriptions-by-customer.md): This method allows the merchant to retrieve all subscriptions and their statuses for the specific customer by the customer identifier.

## List invoices by subscription

 - [POST /subscription/invoice/list](https://api-docs.solidgate.com/api/retrieve-subscription-data/list-invoices-by-subscription-id.md): By using this method, merchants can get a list of invoices related to a specific subscription.

## List orders by invoice

 - [POST /subscription/order/list](https://api-docs.solidgate.com/api/retrieve-subscription-data/list-orders-by-invoice-id.md): By using this method, merchants can retrieve a list of orders associated with a particular invoice.

